Page MenuHomePhabricator

Wikibase\Client\Usage\Sql\EntityUsageTable::addUsages: Implicit transaction already active (from DatabaseBase::query (Wikibase\Client\Usage\Sql\EntityUsageTable::queryUsages)).
Closed, ResolvedPublic

Description

on 1.28.0-wmf.17 on testwikidatawiki and wikidatawiki at least:

A fair share of

Wikibase\Client\Usage\Sql\EntityUsageTable::addUsages: Implicit transaction already active
     (from DatabaseBase::query (Wikibase\Client\Usage\Sql\EntityUsageTable::queryUsages)).
Wikibase\Client\Usage\Sql\EntityUsageTable::addUsages: Explicit commit of implicit transaction.

And at least one related to removeUsage

Wikibase\Client\Usage\Sql\EntityUsageTable::removeUsages: Implicit transaction already active (from DatabaseBase::query (User::idFromName)).

Simiar to T144433: Wikibase\SqlIdGenerator::generateNewId: Implicit transaction expected (DBO_TRX set).

Event Timeline

hashar created this task.Aug 31 2016, 7:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2016, 7:56 PM

Mentioned in SAL [2016-08-31T19:59:11Z] <hashar> group1 to 1.28.0-wmf.17 done. There is a couple explicit commit of implicit transactions for Wikidata T144433 T144434 not much of a worry

thiemowmde triaged this task as Low priority.Sep 1 2016, 3:01 PM
thiemowmde added subscribers: hoo, aude, daniel.
hoo closed this task as Resolved.Sep 1 2016, 8:31 PM
hoo claimed this task.

f15ccc8fa131599df5404f7f7aa850bdaba8e245 fixes this. We plan to deploy that next week (with wmf18).

Feel free to ping @aude or me in case this is urgent, so that we can backport the change in question.

See also T143818: Wikibase\SqlIdGenerator::generateNewId: Explicit commit of implicit transaction..

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM